GET api/NTCosCompany/GetOrderCorporationLaboratoryAllPriceForCsv?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfOrderPriceCorporationDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of OrderPriceCorporationDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "CorporationCode": "sample string 2",
      "OrderCategoryId": 3,
      "OrderCategoryTypeId": 4,
      "OrderCategorySubTypeId": 1,
      "Price": 1.0,
      "StartDate": "2026-06-20T12:57:23.1332567-07:00",
      "EndDate": "2026-06-20T12:57:23.1332567-07:00",
      "CategoryName": "sample string 5",
      "CategoryTypeName": "sample string 6",
      "CategorySubTypeName": "sample string 7",
      "Todaydate": "2026-06-20T12:57:23.1332567-07:00",
      "Status": 8,
      "CPTCode": "sample string 9",
      "TangAndCompanyCode": "sample string 10",
      "ExamId": "sample string 11",
      "EntityId": 1,
      "EntityType": 12,
      "CareOnSiteLocationId": 1,
      "AdjustmentType": 1,
      "Adjustment": 1.0,
      "FinalPrice": 1.0,
      "IsFutureRecord": true,
      "CorporationOrderPriceId": 1,
      "Type": 14,
      "CareOnSiteLocationIdExist": true,
      "SubTypeExist": true,
      "TPAName": "sample string 17",
      "OrderCategorySubTypeLevel1Id": 1,
      "TPAId": 1,
      "ItemCode": "sample string 18",
      "ItemId": 1,
      "OrderCategorySubTypeLevel2Id": 1,
      "ItemName": "sample string 19",
      "Note": "sample string 20",
      "CreatedUserFirstName": "sample string 21",
      "CreatedUserLastName": "sample string 22",
      "CreatedUser": "sample string 21 sample string 22",
      "CreatedDate": "2026-06-20T12:57:23.1332567-07:00",
      "LastModifiedUserFirstName": "sample string 23",
      "LastModifiedUseLastName": "sample string 24",
      "LastModifiedUser": "sample string 23 sample string 24",
      "LastModifiedDate": "2026-06-20T12:57:23.1332567-07:00",
      "CreatedDateString": "sample string 25",
      "ModifiedDate": "sample string 26",
      "EndDateString": "sample string 27",
      "IsHqPrice": true,
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:57:23.1332567-07:00",
      "DateUpdated": "2026-06-20T12:57:23.1332567-07:00",
      "UserIDCreated": 32,
      "UserIDUpdated": 33
    },
    {
      "Id": 1,
      "CorporationCode": "sample string 2",
      "OrderCategoryId": 3,
      "OrderCategoryTypeId": 4,
      "OrderCategorySubTypeId": 1,
      "Price": 1.0,
      "StartDate": "2026-06-20T12:57:23.1332567-07:00",
      "EndDate": "2026-06-20T12:57:23.1332567-07:00",
      "CategoryName": "sample string 5",
      "CategoryTypeName": "sample string 6",
      "CategorySubTypeName": "sample string 7",
      "Todaydate": "2026-06-20T12:57:23.1332567-07:00",
      "Status": 8,
      "CPTCode": "sample string 9",
      "TangAndCompanyCode": "sample string 10",
      "ExamId": "sample string 11",
      "EntityId": 1,
      "EntityType": 12,
      "CareOnSiteLocationId": 1,
      "AdjustmentType": 1,
      "Adjustment": 1.0,
      "FinalPrice": 1.0,
      "IsFutureRecord": true,
      "CorporationOrderPriceId": 1,
      "Type": 14,
      "CareOnSiteLocationIdExist": true,
      "SubTypeExist": true,
      "TPAName": "sample string 17",
      "OrderCategorySubTypeLevel1Id": 1,
      "TPAId": 1,
      "ItemCode": "sample string 18",
      "ItemId": 1,
      "OrderCategorySubTypeLevel2Id": 1,
      "ItemName": "sample string 19",
      "Note": "sample string 20",
      "CreatedUserFirstName": "sample string 21",
      "CreatedUserLastName": "sample string 22",
      "CreatedUser": "sample string 21 sample string 22",
      "CreatedDate": "2026-06-20T12:57:23.1332567-07:00",
      "LastModifiedUserFirstName": "sample string 23",
      "LastModifiedUseLastName": "sample string 24",
      "LastModifiedUser": "sample string 23 sample string 24",
      "LastModifiedDate": "2026-06-20T12:57:23.1332567-07:00",
      "CreatedDateString": "sample string 25",
      "ModifiedDate": "sample string 26",
      "EndDateString": "sample string 27",
      "IsHqPrice": true,
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:57:23.1332567-07:00",
      "DateUpdated": "2026-06-20T12:57:23.1332567-07:00",
      "UserIDCreated": 32,
      "UserIDUpdated": 33
    }
  ],
  "totalCount": 3
}